﻿@inherits LayoutComponentBase
@inject AuthenticationStateProvider AuthenticationStateProvider
@inject NavigationManager NavigationManager


<BlazoredModal />

<SfSidebar @ref="sidebarObj" ZIndex="1">
    <div class="sidebar">
        <NavMenu />
    </div>
</SfSidebar>

<div id="main" class="main">

    <div class="top-row px-4" style="z-index:9;">

        <div class="col-lg-5 col-md-5 col-sm-5 paddignLeft">

            <span class="ocultar-menu oi oi-menu" @onclick="Toggle" style="padding-right: 10px;"></span>

        </div>

        <div class="col-lg-4 col-md-4 col-sm-4 texto-derecha">
            <span class="oi oi-envelope-closed text-info mx-2" aria-hidden="true" style="visibility:hidden"></span>
            <span class="oi oi-bell text-danger mx-2" aria-hidden="true" style="visibility:hidden"></span>
            <span class="oi oi-person text-success mx-2" aria-hidden="true"></span>
            @userName
        </div>

    </div>

    <div id="ContenedorPrincipal" class="content px-4">
        <AvisoComponent @ref="@Avisos" UserName="@userName"></AvisoComponent>
        @Body
    </div>

</div>


@code
{

    private string MegaMenuContent = string.Empty;

    [Inject]
    IJSRuntime JsRuntime { get; set; }

    string userName;

    SfSidebar sidebarObj;

    AvisoComponent Avisos;

    protected override async Task OnInitializedAsync()
    {
        userName = "master";
    }

    public void Toggle()
    {
        this.sidebarObj.Toggle();
    }

}

<style>
    .e-tooltip-css {
        filter: drop-shadow(2px 5px 5px rgba(0, 0, 0, 0.25));
    }

    .e-tooltip-wrap .e-tip-content {
        padding: 0px 0px 0px 0px;
    }

    .e-arrow-tip .e-tip-top {
        visibility: hidden;
    }

    .e-tooltip-wrap.e-popup {
        border: 1px solid #959595;
        border-radius: 4px;
    }

    #megaTooltip {
        background-color: white;
        color: black;
        border: 1px solid #c8c8c8;
        padding: 10px 20px;
    }

    .icon-size {
        font-size: xx-large;
    }

    .app:hover {
        background-color: #F0F0F0;
        border-radius: 8px 8px;
    }

    .e-contextmenu-wrapper ul, .e-contextmenu-container ul {
        border: 1.5px solid #3899dd !important;
        box-shadow: 4px 5px #6c757d3b !important;
    }
</style>
